// 荣誉教师
import request from '@/common/request.js';

export function queryHonorTypeOverView(data) {//查询荣誉总览列表数据接口
	return request.get('/api/v1/queryHonorTypeOverView', data)
}
export function deleteHonorType(id) {//删除荣誉类型接口
	return request.get(`/api/v1/deleteHonorType/${id}`)
}
export function querySchoolAllTeacherData(data) {//查询审核教师接口
	return request.get('/api/v1/querySchoolAllTeacherData',data)
}
export function baseDictLibListData(data) {//查询字典接口
	return request.get('/api/v1/baseDictLibListData',data)
}
export function queryHonorDetailData(honorTypeId) {//获取荣誉类型 修改的 详细数据接口
	return request.get(`/api/v1/queryHonorDetailData/${honorTypeId}`)
}
export function addHonorData(data) {//新增荣誉类型
	return request.post('/api/v1/addHonorData',data)
}
export function updateHonorData(data) {//修改荣誉类型接口
	return request.post('/api/v1/updateHonorData',data)
}
export function queryHonorTeacherListData(data) {//查询荣誉教师列表接口
	return request.get('/api/v1/queryHonorTeacherListData',data)
}
export function queryHonorTypeList() {//查询荣誉类型列表
	return request.get('/api/v1/queryHonorTypeList')
}
export function queryHonorTeacherListDetail(data) {//教师荣誉详情
	return request.post('/api/v1/queryHonorTeacherListDetail',data)
}
export function queryHonorList(data) {//查询我的荣誉列表接口
	return request.post('/api/v1/queryHonorList',data)
}
export function queryHonorTypeDictList(data) {//查询荣誉类型下拉数据
	return request.get('/api/v1/queryHonorTypeDictList',data)
}
export function queryHonorDataDetailById(id) {//查看荣誉详情接口
	return request.get(`/api/v1/queryHonorDataDetailById/${id}`)
}
export function updateHonorCertData(data) {//上传荣誉证书接口
	return request.post('/api/v1/updateHonorCertData',data)
}
export function addHonorCertData(data) {//修改荣誉证书接口
	return request.post('/api/v1/addHonorCertData',data)
}
export function queryHonorReviewDataList(data) {//查询荣誉审核列表
	return request.get('/api/v1/queryHonorReviewDataList',data)
}
export function queryHonorReviewDetailList(data) {//查询荣誉审核明细列表
	return request.get('/api/v1/queryHonorReviewDetailList',data)
}
export function queryReviewDetail(id) {//查询荣誉审核资质信息详情数据接口
	return request.get(`/api/v1/queryReviewDetail/${id}`)
}
export function audioHonorData(data) {//审核接口 (驳回/通过)
	return request.post('/api/v1/audioHonorData',data)
}
export function queryHonorTableDataList(data) {//获取荣誉类型 审核详情 的数据接口
	return request.post('/api/v1/queryHonorTableDataList',data)
}
export function queryHonorTeacherDetail(id) {//查询荣誉教师单个荣誉证书的详情数据接口
	return request.get(`/api/v1/queryHonorTeacherDetail/${id}`)
}
export function deleteHonorData(id) {//删除荣誉证书接口
	return request.get(`/api/v1/deleteHonorData/${id}`)
}